package com.gyee.dataadapter.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.gyee.dataadapter.dao.TsDataType;
import com.gyee.dataadapter.dao.TsPoint;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author gfhd
 * @since 2024-09-13
 */
@TableName("view_tspoint")
public class ViewTspoint implements Serializable, TsPoint {

    private static final long serialVersionUID = 1L;

    private String id;

    private String thingType;

    private String thingId;

    private String uniformCode;

    private String dataType;

    private String tag;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getThingType() {
        return thingType;
    }

    public void setThingType(String thingType) {
        this.thingType = thingType;
    }

    public String getThingId() {
        return thingId;
    }

    public void setThingId(String thingId) {
        this.thingId = thingId;
    }

    public String getUniformCode() {
        return uniformCode;
    }

    @Override
    public TsDataType getPointDataType() {
        return TsDataType.getByDescript(dataType);
    }

    public void setUniformCode(String uniformCode) {
        this.uniformCode = uniformCode;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    @Override
    public String toString() {
        return "ViewTspoint{" +
                "id = " + id +
                ", thingType = " + thingType +
                ", thingId = " + thingId +
                ", uniformCode = " + uniformCode +
                ", dataType = " + dataType +
                ", tag = " + tag +
                "}";
    }
}
